# eric4.KdeQt.KQApplication

Compatibility module to use KApplication instead of QApplication.

### Classes

__qtKQApplication | Compatibility class to use QApplication.

### Functions

KQApplication | Public function to instantiate an application object.

## __qtKQApplication

Compatibility class to use QApplication.

### Derived from

QApplication

### Methods

__qtKQApplication | Constructor
getObject | Public method to get a reference to a registered object.
registerObject | Public method to register an object in the object registry.

#### __qtKQApplication (Constructor)

__qtKQApplication(argv, opts)

Constructor

argv
  command line arguments
opts
  acceptable command line options (ignored)

#### __qtKQApplication.getObject

getObject(name)

Public method to get a reference to a registered object.

name
  name of the object (string)

Returns:
  reference to the registered object

Raises KeyError:
  raised when the given name is not known

#### __qtKQApplication.registerObject

registerObject(name, object)

Public method to register an object in the object registry.

name
  name of the object (string)
object
  reference to the object

Raises KeyError:
  raised when the given name is already in use

Up

## KQApplication

KQApplication(argv, opts)

Public function to instantiate an application object.

argv
  command line arguments
opts
  acceptable command line options

Returns:
  reference to the application object

Up